Skip to main content
POST
/
api
/
onboarding
/
nigeria_kyc
/
physical_address_verification_confirmation
/
Physical Address Confirmation
curl --request POST \
  --url https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/physical_address_verification_confirmation/ \
  --header 'Content-Type: application/json' \
  --header 'x-access-token: <api-key>' \
  --data '
{
  "identity_check_id": 123
}
'
import requests

url = "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/physical_address_verification_confirmation/"

payload = { "identity_check_id": 123 }
headers = {
"x-access-token": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-access-token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({identity_check_id: 123})
};

fetch('https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/physical_address_verification_confirmation/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "failed",
  "data": [
    "<unknown>"
  ],
  "message": "<string>"
}
{
"status": "failed",
"message": "Authentication credentials were not provided."
}
The Physical Address Confirmation endpoint retrieves the final status of a physical address verification. Pass the identity_check_id returned from either the Physical Address (Lagos) or Physical Address (Other States) endpoint.

Endpoint

POST /api/onboarding/nigeria_kyc/physical_address_verification_confirmation/

Request

Headers

HeaderValueRequired
x-access-tokenYour API secret keyYes
Content-Typeapplication/jsonYes

Body Parameters

ParameterTypeRequiredDescription
identity_check_idintegerYesThe ID returned from the physical address verification endpoint

Example

curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/nigeria_kyc/physical_address_verification_confirmation/" \
  -H "x-access-token: YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{"identity_check_id": 2}'

Response

200 OK

FieldTypeDescription
data.statusstringFinal verification status ("completed", "pending", "failed")
data.streetstringVerified street address
data.citystringVerified city
data.lgastringVerified LGA
data.statestringVerified state
data.first_namestringCustomer’s first name
data.last_namestringCustomer’s last name
{
  "status": "success",
  "data": {
    "status": "completed",
    "city": "oshodi",
    "lga": "lagos mainland",
    "landmark": "lagos",
    "street": "270 Murtala Muhammed Way, Alagomeji. Yaba",
    "first_name": "John",
    "last_name": "Doe",
    "birth_date": "17/01/1988",
    "phone_number": "08000000000",
    "nin": "10000000001",
    "state": "Lagos"
  },
  "message": "Physical Address Confirmed successfully"
}

400 Bad Request

{
  "status": "failed",
  "data": [],
  "message": "Invalid or expired identity_check_id"
}

Authorizations

x-access-token
string
header
required

Your Adhere API secret key

Body

application/json
identity_check_id
integer
required

Integer ID from the physical address verification response

Response

Physical address result retrieved